"""
Medical clinicians, including practicing physicians and other medical professionals involved in clinical practice.

https://schema.org/Clinician
"""

from typing import *
from typing_extensions import TypedDict, NotRequired
from pydantic import *
from datetime import *
from time import *


from schorg.schema_org_obj import SchemaOrgObj, SchemaOrgBase


class ClinicianInheritedProperties(TypedDict):
    """Medical clinicians, including practicing physicians and other medical professionals involved in clinical practice.

    References:
        https://schema.org/Clinician
    Note:
        Model Depth 6
    Attributes:
    """

    


class ClinicianProperties(TypedDict):
    """Medical clinicians, including practicing physicians and other medical professionals involved in clinical practice.

    References:
        https://schema.org/Clinician
    Note:
        Model Depth 6
    Attributes:
    """

    

#ClinicianInheritedPropertiesTd = ClinicianInheritedProperties()
#ClinicianPropertiesTd = ClinicianProperties()


class AllProperties(ClinicianInheritedProperties , ClinicianProperties, TypedDict):
    pass


def create_schema_org_model(type_: Union[ClinicianProperties, ClinicianInheritedProperties, AllProperties] = AllProperties) -> Type[SchemaOrgBase]:
    model = create_model_from_typeddict(type_, __base__=SchemaOrgBase)
    model.__name__ = "Clinician"
    return model
    

Clinician = create_schema_org_model()