"""
The act of notifying someone that a future event/action is going to happen as expected.Related actions:* [[CancelAction]]: The antonym of ConfirmAction.

https://schema.org/ConfirmAction
"""

from typing import *
from typing_extensions import TypedDict, NotRequired
from pydantic import *
from datetime import *
from time import *


from schorg.schema_org_obj import SchemaOrgObj, SchemaOrgBase


class ConfirmActionInheritedProperties(TypedDict):
    """The act of notifying someone that a future event/action is going to happen as expected.Related actions:* [[CancelAction]]: The antonym of ConfirmAction.

    References:
        https://schema.org/ConfirmAction
    Note:
        Model Depth 6
    Attributes:
        event: (Optional[Union[List[Union[SchemaOrgObj, str]], SchemaOrgObj, str]]): Upcoming or past event associated with this place, organization, or action.
    """

    event: NotRequired[Union[List[Union[SchemaOrgObj, str]], SchemaOrgObj, str]]
    


class ConfirmActionProperties(TypedDict):
    """The act of notifying someone that a future event/action is going to happen as expected.Related actions:* [[CancelAction]]: The antonym of ConfirmAction.

    References:
        https://schema.org/ConfirmAction
    Note:
        Model Depth 6
    Attributes:
    """

    

#ConfirmActionInheritedPropertiesTd = ConfirmActionInheritedProperties()
#ConfirmActionPropertiesTd = ConfirmActionProperties()


class AllProperties(ConfirmActionInheritedProperties , ConfirmActionProperties, TypedDict):
    pass


def create_schema_org_model(type_: Union[ConfirmActionProperties, ConfirmActionInheritedProperties, AllProperties] = AllProperties) -> Type[SchemaOrgBase]:
    model = create_model_from_typeddict(type_, __base__=SchemaOrgBase)
    model.__name__ = "ConfirmAction"
    return model
    

ConfirmAction = create_schema_org_model()