"""
Data derived from multiple randomized clinical trials or meta-analyses.

https://schema.org/EvidenceLevelA
"""

from typing import *
from typing_extensions import TypedDict, NotRequired
from pydantic import *
from datetime import *
from time import *


from schorg.schema_org_obj import SchemaOrgObj, SchemaOrgBase


class EvidenceLevelAInheritedProperties(TypedDict):
    """Data derived from multiple randomized clinical trials or meta-analyses.

    References:
        https://schema.org/EvidenceLevelA
    Note:
        Model Depth 6
    Attributes:
    """

    


class EvidenceLevelAProperties(TypedDict):
    """Data derived from multiple randomized clinical trials or meta-analyses.

    References:
        https://schema.org/EvidenceLevelA
    Note:
        Model Depth 6
    Attributes:
    """

    

#EvidenceLevelAInheritedPropertiesTd = EvidenceLevelAInheritedProperties()
#EvidenceLevelAPropertiesTd = EvidenceLevelAProperties()


class AllProperties(EvidenceLevelAInheritedProperties , EvidenceLevelAProperties, TypedDict):
    pass


def create_schema_org_model(type_: Union[EvidenceLevelAProperties, EvidenceLevelAInheritedProperties, AllProperties] = AllProperties) -> Type[SchemaOrgBase]:
    model = create_model_from_typeddict(type_, __base__=SchemaOrgBase)
    model.__name__ = "EvidenceLevelA"
    return model
    

EvidenceLevelA = create_schema_org_model()