"""
An Insurance agency.

https://schema.org/InsuranceAgency
"""

from typing import *
from typing_extensions import TypedDict, NotRequired
from pydantic import *
from datetime import *
from time import *


from schorg.schema_org_obj import SchemaOrgObj, SchemaOrgBase


class InsuranceAgencyInheritedProperties(TypedDict):
    """An Insurance agency.

    References:
        https://schema.org/InsuranceAgency
    Note:
        Model Depth 5
    Attributes:
        feesAndCommissionsSpecification: (Optional[Union[List[Union[SchemaOrgObj, str, AnyUrl]], SchemaOrgObj, str, AnyUrl]]): Description of fees, commissions, and other terms applied either to a class of financial product, or by a financial service organization.
    """

    feesAndCommissionsSpecification: NotRequired[Union[List[Union[SchemaOrgObj, str, AnyUrl]], SchemaOrgObj, str, AnyUrl]]
    


class InsuranceAgencyProperties(TypedDict):
    """An Insurance agency.

    References:
        https://schema.org/InsuranceAgency
    Note:
        Model Depth 5
    Attributes:
    """

    

#InsuranceAgencyInheritedPropertiesTd = InsuranceAgencyInheritedProperties()
#InsuranceAgencyPropertiesTd = InsuranceAgencyProperties()


class AllProperties(InsuranceAgencyInheritedProperties , InsuranceAgencyProperties, TypedDict):
    pass


def create_schema_org_model(type_: Union[InsuranceAgencyProperties, InsuranceAgencyInheritedProperties, AllProperties] = AllProperties) -> Type[SchemaOrgBase]:
    model = create_model_from_typeddict(type_, __base__=SchemaOrgBase)
    model.__name__ = "InsuranceAgency"
    return model
    

InsuranceAgency = create_schema_org_model()