"""
Categories of medical devices, organized by the purpose or intended use of the device.

https://schema.org/MedicalDevicePurpose
"""

from typing import *
from typing_extensions import TypedDict, NotRequired
from pydantic import *
from datetime import *
from time import *


from schorg.schema_org_obj import SchemaOrgObj, SchemaOrgBase


class MedicalDevicePurposeInheritedProperties(TypedDict):
    """Categories of medical devices, organized by the purpose or intended use of the device.

    References:
        https://schema.org/MedicalDevicePurpose
    Note:
        Model Depth 5
    Attributes:
    """

    


class MedicalDevicePurposeProperties(TypedDict):
    """Categories of medical devices, organized by the purpose or intended use of the device.

    References:
        https://schema.org/MedicalDevicePurpose
    Note:
        Model Depth 5
    Attributes:
    """

    

#MedicalDevicePurposeInheritedPropertiesTd = MedicalDevicePurposeInheritedProperties()
#MedicalDevicePurposePropertiesTd = MedicalDevicePurposeProperties()


class AllProperties(MedicalDevicePurposeInheritedProperties , MedicalDevicePurposeProperties, TypedDict):
    pass


def create_schema_org_model(type_: Union[MedicalDevicePurposeProperties, MedicalDevicePurposeInheritedProperties, AllProperties] = AllProperties) -> Type[SchemaOrgBase]:
    model = create_model_from_typeddict(type_, __base__=SchemaOrgBase)
    model.__name__ = "MedicalDevicePurpose"
    return model
    

MedicalDevicePurpose = create_schema_org_model()