"""
Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.

https://schema.org/MedicalSpecialty
"""

from typing import *
from typing_extensions import TypedDict, NotRequired
from pydantic import *
from datetime import *
from time import *


from schorg.schema_org_obj import SchemaOrgObj, SchemaOrgBase


class MedicalSpecialtyInheritedProperties(TypedDict):
    """Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.

    References:
        https://schema.org/MedicalSpecialty
    Note:
        Model Depth 5
    Attributes:
    """

    


class MedicalSpecialtyProperties(TypedDict):
    """Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.

    References:
        https://schema.org/MedicalSpecialty
    Note:
        Model Depth 5
    Attributes:
    """

    

#MedicalSpecialtyInheritedPropertiesTd = MedicalSpecialtyInheritedProperties()
#MedicalSpecialtyPropertiesTd = MedicalSpecialtyProperties()


class AllProperties(MedicalSpecialtyInheritedProperties , MedicalSpecialtyProperties, TypedDict):
    pass


def create_schema_org_model(type_: Union[MedicalSpecialtyProperties, MedicalSpecialtyInheritedProperties, AllProperties] = AllProperties) -> Type[SchemaOrgBase]:
    model = create_model_from_typeddict(type_, __base__=SchemaOrgBase)
    model.__name__ = "MedicalSpecialty"
    return model
    

MedicalSpecialty = create_schema_org_model()